package com.zcloud.domain.persistence.repository;

import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.domain.persistence.dataobject.DomainDepartmentDO;

import javax.validation.constraints.NotEmpty;
import java.util.List;
import java.util.Map;

/**
 * web-infrastructure
 *
 * @Author zhaokai
 * @Date 2026-01-27 11:28:52
 */
public interface DomainDepartmentRepository extends BaseRepository<DomainDepartmentDO> {
    PageResponse<DomainDepartmentDO> listPage(Map<String, Object> params);

    void checkDomainType(@NotEmpty(message = "领域类型不能为空") String domainType, Long id);

    DomainDepartmentDO getInfoById(Long id);

    List<DomainDepartmentDO> listAll(Map<String, Object> params);

    DomainDepartmentDO getInfoByUUID(String domainDepartmentId);
}

